<?xml version="1.0" encoding="iso-8859-1"?>
<sspaceex xmlns="http://www-verimag.imag.fr/xml-namespaces/sspaceex" version="0.2" math="SpaceEx">
  <component id="platoon">
    <param name="e1" type="real" local="false" d1="1" d2="1" dynamics="any" />
    <param name="v1" type="real" local="false" d1="1" d2="1" dynamics="any" />
    <param name="a1" type="real" local="false" d1="1" d2="1" dynamics="any" />
    <param name="e2" type="real" local="false" d1="1" d2="1" dynamics="any" />
    <param name="v2" type="real" local="false" d1="1" d2="1" dynamics="any" />
    <param name="a2" type="real" local="false" d1="1" d2="1" dynamics="any" />
    <param name="e3" type="real" local="false" d1="1" d2="1" dynamics="any" />
    <param name="v3" type="real" local="false" d1="1" d2="1" dynamics="any" />
    <param name="a3" type="real" local="false" d1="1" d2="1" dynamics="any" />
    <param name="u1" type="real" local="false" d1="1" d2="1" dynamics="any" controlled="false" />
    <param name="breaking" type="label" local="false" />
    <param name="restoring" type="label" local="false" />
    <param name="t" type="real" local="false" d1="1" d2="1" dynamics="any" />
    <param name="T" type="real" local="false" d1="1" d2="1" dynamics="any" />
    <location id="1" name="communication" x="269.0" y="145.0" width="150.0" height="98.0">
      <invariant>-9&lt;=u1&lt;=1 &amp; t&lt;=5</invariant>
      <flow>e1'==v1 &amp;
v1'==-a1 + u1 &amp;
a1' ==  1.6050*e1+4.8680*v1-3.5754*a1 -0.8198*e2+ 0.4270*v2-0.0450*a2-0.1942*e3+0.3626*v3-0.0946*a3 &amp;
e2'==v2 &amp;
v2'==a1-a2 &amp;
a2'==0.8718*e1+3.8140*v1-0.0754*a1+ 1.1936*e2+3.6258*v2-3.2396*a2-0.5950*e3+0.1294*v3-0.0796*a3 &amp;
e3'==v3 &amp;
v3'==a2-a3 &amp;
a3'==0.7132*e1+3.5730*v1-0.0964*a1+0.8472*e2+3.2568*v2-0.0876*a2+1.2726*e3+3.0720*v3-3.1356*a3 &amp;
t'==1 &amp; T'==1</flow>
    </location>
    <location id="2" name="no_communication" x="547.0" y="150.0" width="144.0" height="98.0">
      <invariant>-9&lt;=u1&lt;=1 &amp; t&lt;=5</invariant>
      <flow>e1'==v1 &amp;
v1'==-a1 + u1 &amp;
a1' ==  1.6050*e1+4.8680*v1-3.5754*a1 &amp;e2'==v2 &amp;
v2'==a1-a2 &amp;
a2'==1.1936*e2+3.6258*v2-3.2396*a2 &amp;
e3'==v3 &amp;
v3'==a2-a3 &amp;
a3'==0.7132*e1+3.5730*v1-0.0964*a1+0.8472*e2+3.2568*v2-0.0876*a2+1.2726*e3+3.0720*v3-3.1356*a3 &amp;
t'==1 &amp; T'==1</flow>
    </location>
    <transition source="2" target="1">
      <label>restoring</label>
      <guard>t==5</guard>
      <assignment>t:=0</assignment>
      <labelposition x="-51.0" y="1.0" width="94.0" height="54.0" />
      <middlepoint x="442.0" y="188.0" />
    </transition>
    <transition source="1" target="2">
      <label>breaking</label>
      <guard>t==5</guard>
      <assignment>t:=0</assignment>
      <labelposition x="-28.0" y="-34.0" width="96.0" height="56.0" />
      <middlepoint x="384.5" y="89.5" />
    </transition>
  </component>
  <component id="sys_platoon">
    <param name="e1" type="real" local="false" d1="1" d2="1" dynamics="any" controlled="true" />
    <param name="v1" type="real" local="false" d1="1" d2="1" dynamics="any" controlled="true" />
    <param name="a1" type="real" local="false" d1="1" d2="1" dynamics="any" controlled="true" />
    <param name="e2" type="real" local="false" d1="1" d2="1" dynamics="any" controlled="true" />
    <param name="v2" type="real" local="false" d1="1" d2="1" dynamics="any" controlled="true" />
    <param name="a2" type="real" local="false" d1="1" d2="1" dynamics="any" controlled="true" />
    <param name="e3" type="real" local="false" d1="1" d2="1" dynamics="any" controlled="true" />
    <param name="v3" type="real" local="false" d1="1" d2="1" dynamics="any" controlled="true" />
    <param name="a3" type="real" local="false" d1="1" d2="1" dynamics="any" controlled="true" />
    <param name="u1" type="real" local="false" d1="1" d2="1" dynamics="any" controlled="false" />
    <param name="breaking" type="label" local="false" />
    <param name="restoring" type="label" local="false" />
    <param name="t" type="real" local="false" d1="1" d2="1" dynamics="any" controlled="true" />
    <param name="T" type="real" local="false" d1="1" d2="1" dynamics="any" controlled="true" />
    <bind component="platoon" as="platoon_1" x="431.0" y="208.0">
      <map key="e1">e1</map>
      <map key="v1">v1</map>
      <map key="a1">a1</map>
      <map key="e2">e2</map>
      <map key="v2">v2</map>
      <map key="a2">a2</map>
      <map key="e3">e3</map>
      <map key="v3">v3</map>
      <map key="a3">a3</map>
      <map key="u1">u1</map>
      <map key="breaking">breaking</map>
      <map key="restoring">restoring</map>
      <map key="t">t</map>
      <map key="T">T</map>
    </bind>
  </component>
</sspaceex>

